# sdktool 说明

sdktool 工具可用来对符合 OAS2 的 API 文档生成指定语言的 SDK，目前支持 C#

## 安装 sdktool

```
pip install sdktool
```

## 使用 sdktool

### 校验 OAS2 API 文档

sdktool 工具支持检验 API 文档是否符合 OpenAPI SPEC2，检验命令如下：

```
sdktool validate -s <path_of_api_file>
```

其中 path\_of\_api\_file 是 API 文档路径，API 文档需以 YAML 或 JSON 格式给出。

### 生成 SDK

```
sdktool generate -l <language> -s <path_of_api_file> -o <path_of_option_file>
```

其中：
language 为目标 SDK 的编程语言，如需要生成 Unity 的 SDK，请指定为 csharp。

path\_of\_api\_file 是 API 文档路径，API 文档需以 YAML 或 JSON 格式给出。

path\_of\_option\_file 为生成的 SDK 配置文件路径，配置文件以 JSON 格式给出。对于 Unity SDK，一般需要的配置有：

* packageName
  生成的 SDK 包名
* packageVersion
  SDK 版本号
* targetFramework
  SDK 的目标 .NET 框架版本，支持的有 v3.5, v4.0, v4.5, v5.0 和 uwp。默认是 v4.5。
* netCoreProjectFile
  是否生成 .NET Core 格式的 project，默认是 false。

一个例子如下：

  ```json
    {
      "packageName": "ColorphoneClient",
      "packageVersion": "1.0.0",
      "targetFramework": "v5.0",
      "netCoreProjectFile": true
    }
  ```

csharp 支持的更多 option 可以参考[链接](http://bytepower-alb-01-1801127871.us-east-1.elb.amazonaws.com:9090/api/gen/clients/csharp)
