from setuptools import setup, find_packages


__version__ = '2.0.0'
install_requires = [
    'pyyaml',
    'click',
    'requests'
]

with open("README.md", "r") as fh:
    long_description = fh.read()


setup(
    name='sdktool',
    version=__version__,
    description='a tool to generate sdk',
    long_description=long_description,
    long_description_content_type="text/markdown",
    author='bingh',
    author_email='bingh@outlook.com',
    url="https://github.com/binghe2019/sdktool.git",
    install_requires=install_requires,
    packages=find_packages(),
    include_package_data=True,
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires='>=3.7',
    entry_points={
        'console_scripts': [
            'sdktool = sdk_tool.sdk_tool:cli'
        ]
    }
)
